%define name	kpopup
%define version	0.9.5
%define rel	pre2
%define	release	0.%{rel}.6mdk
%define pack	%{name}-%{version}%{rel}


Name:		%{name}
Summary:	KDE tool for sending and receiving WinPopup messages
Version:	%{version}
Release:	%{release}
URL:		http://www.henschelsoft.de/
Source0:	%{pack}.tar.bz2
Source1:	%{name}-nb.po.bz2
Patch0:		%{name}-Makefile_mispell.patch.bz2
Patch1:		%{name}-nb.po.patch.bz2
Patch2:		%{name}-libtool-hack.patch.bz2
Patch3:		%{name}-longtitle.patch.bz2
License:	GPL
Group:		Graphical desktop/KDE

Requires:	samba-client
#PreReq:		rpm-helper
#Conflicts:	ipmasq, knetfilter, firewall-easy, shorewall, firewall-init

BuildRequires:  libqt3-devel libz-devel XFree86-devel kdelibs-devel
BuildRequires:  libpng-devel libjpeg-devel libart_lgpl2-devel libarts-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
This application is a KDE replacement for Microsoft(tm) WinPopup on
Windows. It can send and receive WinPopup messages with Samba.

This RPM release requires manual user configuration:
Once the package is installed, please add or update this line in
%{_sysconfdir}/samba/smb.conf:

  message command = sh -c '%{_bindir}/%{name} %%s %%f' &


%prep
%setup -q -n %{pack}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3
bzcat %{SOURCE1} > po/nb.po

%build
# 1) broken Mandrake macro downgrades libtool
# until Mandrake's libtool supports "--tag" option
# so we rewrite it by hand (up to "--infodir=...")
# 2) make install will break if we cross compile (yet another libtool issue)
# so we don't cross compile
#(peroyvind) enable crosscompile and work around install issue
export CXXFLAGS=$RPM_OPT_FLAGS $CXXFLAGS
./configure \
	--build=%{_target_platform} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--enable-final \
	--disable-rpath \
	--with-gnu-ld \
	--with-pic \
	--with-xinerama
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
# Mandrake menu support:
install -d %buildroot%{_menudir}/
kdedesktop2mdkmenu.pl %{name} "Networking/Instant messaging" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde

#(peroyvind) Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
#(peroyvind) fix icons for other wm's
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0644, root, root, 0755)
%attr(04755, root, root) %{_bindir}/%{name}
%dir %{_docdir}/HTML/en/%{name}
%doc %{_docdir}/HTML/en/%{name}/*
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_iconsdir}/locolor/16x16/apps/*.png
%{_iconsdir}/locolor/32x32/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applnk/Applications/%{name}.desktop

%changelog
* Wed Sep 03 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.5-0.pre2.6mdk
- Relax samba requires (no supported distro has samba-client < 2.0.0) so
  it will work with samba3-client.

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-0.pre2.5mdk
- Rebuild

* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-0.pre2.4mdk
- cleanups

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-0.pre2.3mdk
- fix buildrequires

* Thu Apr 03 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-0.pre2.2mdk
- rm -rf buildroot in install stage, not prep stage
- clean out unneeded variables etc.
- quiet setup
- crosscompile and cope with makeinstall issue(Patch2)
- added nb translation (Source1 and Patch1)
- fix buildrequires
- relativizta symlinks that rpm fails to
- fix icons for other wm's
- fix no-longtitle-in-menu (Patch3)

* Wed Mar 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-0.pre2.1mdk
- from Rmi Denis-Courmont <rdenis@simphalempin.com> :
	- initial RPM spec file
